{
  "name": "records-storage-server",
  "version": "1.0.0",
  "main": "dist/index.ts",
  "license": "MIT",
  "devDependencies": {
    "@types/koa": "^2.13.4",
    "@types/koa-better-body": "^3.3.3",
    "@types/koa-bodyparser": "^4.3.5",
    "@types/node": "^17.0.10",
    "@typescript-eslint/eslint-plugin": "^5.10.0",
    "@typescript-eslint/parser": "^5.10.0",
    "eslint": "^8.7.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "husky": "^7.0.4",
    "prettier": "^2.5.1",
    "typescript": "^4.5.5"
  },
  "scripts": {
    "build": "tsc -p .",
    "start": "yarn build && node dist/index.js"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{json,md}": [
      "prettier --write",
      "git add"
    ],
    "src/**/*.{js,jsx,ts,tsx}": [
      "eslint --fix -c .eslintrc.js",
      "prettier --write",
      "git add"
    ]
  },
  "dependencies": {
    "@aws-sdk/client-dynamodb": "^3.48.0",
    "@types/cbor": "^6.0.0",
    "@types/koa-mount": "^4.0.1",
    "@types/koa-router": "^7.4.4",
    "cbor": "^8.1.0",
    "koa": "^2.13.4",
    "koa-better-body": "^3.3.9",
    "koa-body": "^4.2.0",
    "koa-bodyparser": "^4.3.0",
    "koa-mount": "^4.0.0",
    "koa-router": "^10.1.1"
  }
}
